## ros-indigo-arni-rqt-detail-plugin 1.1.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(arni_rqt_detail_plugin)


find_package(catkin REQUIRED COMPONENTS qt_gui)
#	COMPONENTS
#	rospy
#  	rqt_gui
#  	rqt_gui_py
#)

catkin_package()
catkin_python_setup()

install(FILES plugin.xml
	DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY resources
	DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(PROGRAMS scripts/arni_rqt_detail_plugin
	DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})


#catkin_package(
  #INCLUDE_DIRS include
  #LIBRARIES rqt_tree
  #CATKIN_DEPENDS rospy rqt_gui rqt_gui_py
 # DEPENDS system_lib
#)

catkin_install_python(PROGRAMS scripts/arni_rqt_detail_plugin DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})


#include_directories(
 # ${catkin_INCLUDE_DIRS}
#)

=== debian/changelog ===
ros-indigo-arni-rqt-detail-plugin (1.1.6-0trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Matthias Hadlich <matthiashadlich@yahoo.de>  Mon, 26 Dec 2016 21:35:41 -0000

=== debian/control ===
Source: ros-indigo-arni-rqt-detail-plugin
Section: misc
Priority: extra
Maintainer: Matthias Hadlich <matthiashadlich@yahoo.de>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-arni-gui, ros-indigo-catkin, ros-indigo-rospy, ros-indigo-rqt-gui, ros-indigo-rqt-gui-py
Homepage: http://wiki.ros.org/arni
Standards-Version: 3.9.2

Package: ros-indigo-arni-rqt-detail-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-arni-gui, ros-indigo-rospy, ros-indigo-rqt-gui, ros-indigo-rqt-gui-py
Description: The ARNI rqt_gui detail plugin.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-arni-rqt-detail-plugin//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
